<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <StartupObject />
    <UseWindowsForms>False</UseWindowsForms>
    <UseWPF>False</UseWPF>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ApplicationIcon>32.ico</ApplicationIcon>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <DefineConstants />
    <PlatformTarget>AnyCPU</PlatformTarget>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="32.ico" />
    <None Remove="Fonts\msyh.ttf" />
    <None Remove="Resources\64.png" />
    <None Remove="Resources\audioCall.png" />
    <None Remove="Resources\biaoqing.png" />
    <None Remove="Resources\cameraNor.png" />
    <None Remove="Resources\CameraNoSelect.png" />
    <None Remove="Resources\CameraSelect.png" />
    <None Remove="Resources\DesktopNoSelect.png" />
    <None Remove="Resources\DesktopSelect.png" />
    <None Remove="Resources\FullScreen.png" />
    <None Remove="Resources\head.png" />
    <None Remove="Resources\micDis.png" />
    <None Remove="Resources\micFail.png" />
    <None Remove="Resources\micNor.png" />
    <None Remove="Resources\micNoSelect.png" />
    <None Remove="Resources\micSelect.png" />
    <None Remove="Resources\setting.png" />
    <None Remove="Resources\SpeakerNoSelect.png" />
    <None Remove="Resources\SpeakerSelect.png" />
    <None Remove="Resources\StartRecord.png" />
    <None Remove="Resources\StopRecord.png" />
    <None Remove="Resources\videoCall.png" />
    <None Remove="Resources\WhiteBoardNoSelect.png" />
    <None Remove="Resources\WhiteBoardSelect.png" />
    <None Remove="Stylesheet1.css" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="32.ico" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="Fonts\msyh.ttf">
      <CopyToOutputDirectory>Never</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\64.png" />
    <EmbeddedResource Include="Resources\audioCall.png" />
    <EmbeddedResource Include="Resources\micFail.png" />
    <EmbeddedResource Include="Resources\videoCall.png" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="Resources\biaoqing.png" />
    <EmbeddedResource Include="Resources\CameraNoSelect.png" />
    <EmbeddedResource Include="Resources\CameraSelect.png" />
    <EmbeddedResource Include="Resources\DesktopNoSelect.png" />
    <EmbeddedResource Include="Resources\DesktopSelect.png" />
    <EmbeddedResource Include="Resources\FullScreen.png" />
    <EmbeddedResource Include="Resources\head.png" />
    <EmbeddedResource Include="Resources\micDis.png" />
    <EmbeddedResource Include="Resources\micNor.png" />
    <EmbeddedResource Include="Resources\micNoSelect.png" />
    <EmbeddedResource Include="Resources\micSelect.png" />
    <EmbeddedResource Include="Resources\SpeakerNoSelect.png" />
    <EmbeddedResource Include="Resources\SpeakerSelect.png" />
    <EmbeddedResource Include="Resources\StartRecord.png" />
    <EmbeddedResource Include="Resources\StopRecord.png" />
    <EmbeddedResource Include="Resources\WhiteBoardNoSelect.png" />
    <EmbeddedResource Include="Resources\WhiteBoardSelect.png" />
    <EmbeddedResource Include="Stylesheet1.css" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="SkiaSharp" Version="1.68.3" />
    <PackageReference Include="System.Configuration.ConfigurationManager" Version="7.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\OVCS.LinuxCore\OVCS.LinuxCore.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="CPF">
      <HintPath>..\dllsNetCore\CPF.dll</HintPath>
    </Reference>
    <Reference Include="CPF.Linux">
      <HintPath>..\dllsNetCore\CPF.Linux.dll</HintPath>
    </Reference>
    <Reference Include="CPF.Skia">
      <HintPath>..\dllsNetCore\CPF.Skia.dll</HintPath>
    </Reference>
    <Reference Include="CPF.Windows">
      <HintPath>..\dllsNetCore\CPF.Windows.dll</HintPath>
    </Reference>
    <Reference Include="ESBasic.NetCore">
      <HintPath>..\dllsNetCore\ESBasic.NetCore.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json">
      <HintPath>..\dllsNetCore\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="OMCS.Cpf">
      <HintPath>..\dllsNetCore\OMCS.Cpf.dll</HintPath>
    </Reference>
    <Reference Include="OMCS.NetCorex">
      <HintPath>..\dllsNetCore\OMCS.NetCorex.dll</HintPath>
    </Reference>
    <Reference Include="Oraycn.Addins.NetCore">
      <HintPath>..\dllsNetCore\Oraycn.Addins.NetCore.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <Resource Include="32.ico" />
    <EmbeddedResource Include="Resources\setting.png" />
    <EmbeddedResource Include="Resources\cameraNor.png" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="SettingWindow.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Update="Tools\AutoScaleContainer.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Update="VideoHidePanel.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Update="VideoPanel.cs" />
    <Compile Update="LoginWindow.cs" />
    <Compile Update="EmotionPanel.cs" />
    <Compile Update="Inputbox.cs" />
    <Compile Update="TextChatContainer.cs" />
  </ItemGroup>

</Project>
